@use 'base/variables' as v;
@use 'base/mixins' as m;

.galery {
    padding: 5rem 0;
    h3 { text-align: center; }

}

.galery_images {
    @include m.reset_list;
    @include m.grid(2, 2rem);
    @include m.phone_size{
        @include m.grid(3, 2rem); // (ncolumns, gap)
    }
    @include m.tablet_size{
        @include m.grid(4, 2rem);
    }
    @include m.desktop_size{
        @include m.grid(6, 2rem);
    }
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;

    display: grid;
    place-items: center; // This will center the image both vertically and horizontally

    background-color: rgba(0,0,0,0.5); // Place a shadow on the rest of the size to properly display the image 

    picture {
        display: block; // This will allow you to affect the images even thought the parent has a fixed position
        max-width: 80rem;
    }
}

.close_button {
    width: 4rem;
    height:4rem;
    border-radius: 50%;
    background-color: v.$myWhite;
    color: v.$myBlack;
    display: grid;
    place-items: center;
    font-weight: 700;

    &:hover {
        cursor: pointer;
    }
}